%                     Universita' di Ferrara                       %
%                                                                  %
%                Corso di informatica industriale                  %
%                                                                  %
%                  funzione principale - esercizio 1               %
%       Simulazione prova pratica 5 marzo 2008 - 6/3/2009          %
%******************************************************************%
%
%       function principale(misure)
%
% La funzione prende in ingresso la matrice misure, importata al punto 1
% con IW, e non restituisce nulla. La funzione analizza la matrice e genera
% la matrice primascelta, contenente i pezzi in tolleranza (criterio
% di valutazione contenuto in controllamisure). Infine viene generato il
% file 'primascelta.txt'

function principale(misure)

%inizializzo la matrice primascelta per il punto 3
primascelta = []; 

%Punto 3 
%scorro sulle righe della matrice misure
for i = 1:size(misure,1)
    if controllamisure(misure(i,2),misure(i,3)) %applico la funzione controllamisure sull'i-esimo pezzo
        
        fprintf('Il pezzo %g rispetta le tolleranze\n',misure(i,1)) % stampo a video i pezzi che rispettano le tolleranze
        
        nuovariga=[misure(i,1),misure(i,2),misure(i,3)]; %creo una riga da aggiungere alla primascelta
        primascelta = [primascelta;nuovariga]; % aggiungo la nuova riga a primascelta
        %  cosi'creo la matrice primascelta
    end
end

%punto 4: salvo su file 'primascelta.txt' i dati contenuti in primascelta
fid = fopen('primascelta.txt','w');
for i = 1:size(primascelta,1)
    fprintf(fid,'%g %g %g\n',primascelta(i,1),primascelta(i,2),primascelta(i,3));
end
fclose(fid);

end



